%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:           perl-Tree-DAG_Node
Version:        1.06
Release:        2mamba
Summary:        Tree::DAG_Node - A (super)class for representing nodes in a tree
Group:          System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:       Aleph0 <aleph0@openmamba.org>
URL:            http://www.cpan.org
Source:         http://www.cpan.org/modules/by-module/Tree/Tree-DAG_Node-%{version}.tar.gz
License:        Artistic License
Requires:       perl >= %perl_major_ver
BuildRequires:  perl-devel >= %perl_major_ver
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
Tree::DAG_Node is a (super)class for representing nodes in a tree.

%prep
%setup -q -n Tree-DAG_Node-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.06-2mamba
- perl 5.16 mass rebuild

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.06-1mamba
- update to 1.06

* Fri Nov 09 2007 Aleph0 <aleph0@openmamba.org> 1.05-1mamba
- package created by autospec
